package com.prolog.cs.biz.inbound.model.rcv;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.prolog.framework.bz.core.model.BaseModel;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description
 * @Date 2021-04-02
 */

@ApiModel
@Table(value = "wms_in_rcv_headers_profiles", appendDefaultJdbcType = true, camelToUnderline = true)
public class RcvHeadersProfiles extends BaseModel implements Serializable {
	private static final long serialVersionUID = 1300917451948335919L;
	@Id
	/** 单头ID(主键雪花id) **/
	@ApiModelProperty(value = "单头ID(主键雪花id)")
	private String rcvHeaderId;

	/** 含税金额 **/
	@ApiModelProperty(value = "含税金额")
	private BigDecimal taTi;

	/** 不含税金额 **/
	@ApiModelProperty(value = "不含税金额")
	private BigDecimal taTe;

	/** 税额 **/
	@ApiModelProperty(value = "税额")
	private BigDecimal taTax;

	/** 作废人ID **/
	@ApiModelProperty(value = "作废人ID")
	private String cancelledBy;

	/** 作废人 **/
	@ApiModelProperty(value = "作废人")
	private String cancelledName;

	/** 作废时间 **/
	@ApiModelProperty(value = "作废时间")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date cancelDate;

	/** 库管 **/
	@ApiModelProperty(value = "库管")
	private String warehouseManager;

	/** 来源预订单ID(销售) **/
	@ApiModelProperty(value = "来源预订单ID(销售)")
	private String orderHeaderId;

	/** 来源预订单编码（销售） **/
	@ApiModelProperty(value = "来源预订单编码（销售）")
	private String orderAutoNum;

	/** 车牌号码 **/
	@ApiModelProperty(value = "车牌号码")
	private String licensePlateNumber;

	/** 冷藏方式 **/
	@ApiModelProperty(value = "冷藏方式")
	private String coldstoretype;

	/** 冷藏状态 **/
	@ApiModelProperty(value = "冷藏状态")
	private String cold;

	/** 发运地点 **/
	@ApiModelProperty(value = "发运地点")
	private String shipFromAdd;

	/** 发运日期 **/
	@ApiModelProperty(value = "发运日期")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date shipFromDate;

	/** 运输方式 **/
	@ApiModelProperty(value = "运输方式")
	private String shipType;

	/** 温控方式 **/
	@ApiModelProperty(value = "温控方式")
	private String temperaturecType;

	/** 到货时间 **/
	@ApiModelProperty(value = "到货时间")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date shipArriveTime;

	/** 到货方式 **/
	@ApiModelProperty(value = "到货方式")
	private String arrivalMode;

	/** 到货温度 **/
	@ApiModelProperty(value = "到货温度")
	private BigDecimal shipArriveTemPerature;

	/** 运输过程温度记录 **/
	@ApiModelProperty(value = "运输过程温度记录")
	private String shipTemptrack;

	/** 温控状况 **/
	@ApiModelProperty(value = "温控状况")
	private String tempcinfo;

	/** 运输单位 **/
	@ApiModelProperty(value = "运输单位")
	private String carriername;

	/** 组织编码 **/
	@ApiModelProperty(value = "组织编码")
	private String orgnNum;

	/** 组织名称 **/
	@ApiModelProperty(value = "组织名称")
	private String orgnName;

	/** 供应商编码 **/
	@ApiModelProperty(value = "供应商编码")
	private String vendorNum;

	/** 供应商名称 **/
	@ApiModelProperty(value = "供应商名称")
	private String vendorName;

	/** 仓库编码 **/
	@ApiModelProperty(value = "仓库编码")
	private String warehouseNum;

	/** 仓库名称 **/
	@ApiModelProperty(value = "仓库名称")
	private String warehouseName;

	/** 采购员编码 **/
	@ApiModelProperty(value = "采购员编码")
	private String buyerNum;

	/** 采购员名称 **/
	@ApiModelProperty(value = "采购员名称")
	private String buyerMane;

	/** 客户编码 **/
	@ApiModelProperty(value = "客户编码")
	private String customerNum;

	/** 客户名称 **/
	@ApiModelProperty(value = "客户名称")
	private String customerName;

	/** 货主编码 **/
	@ApiModelProperty(value = "货主编码")
	private String mtlOwnerNum;

	/** 货主名称 **/
	@ApiModelProperty(value = "货主名称")
	private String mtlOwnerName;

	/** 组织编码(移库/调拨组织ID) **/
	@ApiModelProperty(value = "组织编码(移库/调拨组织ID)")
	private String srcOrgnNum;

	/** 组织名称(移库/调拨组织ID) **/
	@ApiModelProperty(value = "组织名称(移库/调拨组织ID)")
	private String srcOrgnName;

	/** 仓库编码(移库/调拨源仓ID) **/
	@ApiModelProperty(value = "仓库编码(移库/调拨源仓ID)")
	private String srcWarehouseNum;

	/** 仓库名称(移库/调拨源仓ID) **/
	@ApiModelProperty(value = "仓库名称(移库/调拨源仓ID)")
	private String srcWarehouseName;

	/** 货主ID(移库入库的源货主编码) **/
	@ApiModelProperty(value = "货主ID(移库入库的源货主编码)")
	private String srcMtlOwnerNum;

	/** 货主ID(移库入库的源货主名称) **/
	@ApiModelProperty(value = "货主ID(移库入库的源货主名称)")
	private String srcMtlOwnerName;

	// ===============================6.10新加字段 =====================================
	@ApiModelProperty(value = "(新)运输方", position = -4)
	private String transportationParty;
	@ApiModelProperty(value = "(新)在途时限", position = -4)
	private Integer onPassageDays;

	@ApiModelProperty(value = "(新)启运温度", position = -4)
	private String shipTemPerature;
	@ApiModelProperty(value = "(新)启运时间", position = -4)
	private Date shipDate;
	@ApiModelProperty(value = "(新)设备号,车牌号,冷藏箱号(三取1)", position = -4)
	private String deviceNo;
	@ApiModelProperty(value = "(新)温控方式", position = -4)
	private String tempcontrolMode;
	@ApiModelProperty(value = "(新)温控状态", position = -4)
	private String tempcontrolStatus;

	public String getShipTemPerature() {
		return shipTemPerature;
	}

	public void setShipTemPerature(String shipTemPerature) {
		this.shipTemPerature = shipTemPerature;
	}

	public Date getShipDate() {
		return shipDate;
	}

	public void setShipDate(Date shipDate) {
		this.shipDate = shipDate;
	}

	public String getDeviceNo() {
		return deviceNo;
	}

	public void setDeviceNo(String deviceNo) {
		this.deviceNo = deviceNo;
	}

	public String getTempcontrolMode() {
		return tempcontrolMode;
	}

	public void setTempcontrolMode(String tempcontrolMode) {
		this.tempcontrolMode = tempcontrolMode;
	}

	public String getTempcontrolStatus() {
		return tempcontrolStatus;
	}

	public void setTempcontrolStatus(String tempcontrolStatus) {
		this.tempcontrolStatus = tempcontrolStatus;
	}

	public String getTransportationParty() {
		return transportationParty;
	}

	public void setTransportationParty(String transportationParty) {
		this.transportationParty = transportationParty;
	}

	public Integer getOnPassageDays() {
		return onPassageDays;
	}

	public void setOnPassageDays(Integer onPassageDays) {
		this.onPassageDays = onPassageDays;
	}

	public String getRcvHeaderId() {
		return this.rcvHeaderId;
	}

	public void setRcvHeaderId(String rcvHeaderId) {
		this.rcvHeaderId = rcvHeaderId;
	}

	public BigDecimal getTaTi() {
		return this.taTi;
	}

	public void setTaTi(BigDecimal taTi) {
		this.taTi = taTi;
	}

	public BigDecimal getTaTe() {
		return this.taTe;
	}

	public void setTaTe(BigDecimal taTe) {
		this.taTe = taTe;
	}

	public BigDecimal getTaTax() {
		return this.taTax;
	}

	public void setTaTax(BigDecimal taTax) {
		this.taTax = taTax;
	}

	public String getCancelledBy() {
		return this.cancelledBy;
	}

	public void setCancelledBy(String cancelledBy) {
		this.cancelledBy = cancelledBy;
	}

	public String getCancelledName() {
		return this.cancelledName;
	}

	public void setCancelledName(String cancelledName) {
		this.cancelledName = cancelledName;
	}

	public Date getCancelDate() {
		return this.cancelDate;
	}

	public void setCancelDate(Date cancelDate) {
		this.cancelDate = cancelDate;
	}

	public String getWarehouseManager() {
		return this.warehouseManager;
	}

	public void setWarehouseManager(String warehouseManager) {
		this.warehouseManager = warehouseManager;
	}

	public String getOrderHeaderId() {
		return this.orderHeaderId;
	}

	public void setOrderHeaderId(String orderHeaderId) {
		this.orderHeaderId = orderHeaderId;
	}

	public String getOrderAutoNum() {
		return this.orderAutoNum;
	}

	public void setOrderAutoNum(String orderAutoNum) {
		this.orderAutoNum = orderAutoNum;
	}

	public String getLicensePlateNumber() {
		return this.licensePlateNumber;
	}

	public void setLicensePlateNumber(String licensePlateNumber) {
		this.licensePlateNumber = licensePlateNumber;
	}

	public String getColdstoretype() {
		return this.coldstoretype;
	}

	public void setColdstoretype(String coldstoretype) {
		this.coldstoretype = coldstoretype;
	}

	public String getCold() {
		return this.cold;
	}

	public void setCold(String cold) {
		this.cold = cold;
	}

	public String getShipFromAdd() {
		return this.shipFromAdd;
	}

	public void setShipFromAdd(String shipFromAdd) {
		this.shipFromAdd = shipFromAdd;
	}

	public Date getShipFromDate() {
		return this.shipFromDate;
	}

	public void setShipFromDate(Date shipFromDate) {
		this.shipFromDate = shipFromDate;
	}

	public String getShipType() {
		return this.shipType;
	}

	public void setShipType(String shipType) {
		this.shipType = shipType;
	}

	public String getTemperaturecType() {
		return this.temperaturecType;
	}

	public void setTemperaturecType(String temperaturecType) {
		this.temperaturecType = temperaturecType;
	}

	public Date getShipArriveTime() {
		return this.shipArriveTime;
	}

	public void setShipArriveTime(Date shipArriveTime) {
		this.shipArriveTime = shipArriveTime;
	}

	public String getArrivalMode() {
		return this.arrivalMode;
	}

	public void setArrivalMode(String arrivalMode) {
		this.arrivalMode = arrivalMode;
	}

	public BigDecimal getShipArriveTemPerature() {
		return this.shipArriveTemPerature;
	}

	public void setShipArriveTemPerature(BigDecimal shipArriveTemPerature) {
		this.shipArriveTemPerature = shipArriveTemPerature;
	}

	public String getShipTemptrack() {
		return this.shipTemptrack;
	}

	public void setShipTemptrack(String shipTemptrack) {
		this.shipTemptrack = shipTemptrack;
	}

	public String getTempcinfo() {
		return this.tempcinfo;
	}

	public void setTempcinfo(String tempcinfo) {
		this.tempcinfo = tempcinfo;
	}

	public String getCarriername() {
		return this.carriername;
	}

	public void setCarriername(String carriername) {
		this.carriername = carriername;
	}

	public String getOrgnNum() {
		return this.orgnNum;
	}

	public void setOrgnNum(String orgnNum) {
		this.orgnNum = orgnNum;
	}

	public String getOrgnName() {
		return this.orgnName;
	}

	public void setOrgnName(String orgnName) {
		this.orgnName = orgnName;
	}

	public String getVendorNum() {
		return this.vendorNum;
	}

	public void setVendorNum(String vendorNum) {
		this.vendorNum = vendorNum;
	}

	public String getVendorName() {
		return this.vendorName;
	}

	public void setVendorName(String vendorName) {
		this.vendorName = vendorName;
	}

	public String getWarehouseNum() {
		return this.warehouseNum;
	}

	public void setWarehouseNum(String warehouseNum) {
		this.warehouseNum = warehouseNum;
	}

	public String getWarehouseName() {
		return this.warehouseName;
	}

	public void setWarehouseName(String warehouseName) {
		this.warehouseName = warehouseName;
	}

	public String getBuyerNum() {
		return this.buyerNum;
	}

	public void setBuyerNum(String buyerNum) {
		this.buyerNum = buyerNum;
	}

	public String getBuyerMane() {
		return this.buyerMane;
	}

	public void setBuyerMane(String buyerMane) {
		this.buyerMane = buyerMane;
	}

	public String getCustomerNum() {
		return this.customerNum;
	}

	public void setCustomerNum(String customerNum) {
		this.customerNum = customerNum;
	}

	public String getCustomerName() {
		return this.customerName;
	}

	public void setCustomerName(String customerName) {
		this.customerName = customerName;
	}

	public String getMtlOwnerNum() {
		return this.mtlOwnerNum;
	}

	public void setMtlOwnerNum(String mtlOwnerNum) {
		this.mtlOwnerNum = mtlOwnerNum;
	}

	public String getMtlOwnerName() {
		return this.mtlOwnerName;
	}

	public void setMtlOwnerName(String mtlOwnerName) {
		this.mtlOwnerName = mtlOwnerName;
	}

	public String getSrcOrgnNum() {
		return this.srcOrgnNum;
	}

	public void setSrcOrgnNum(String srcOrgnNum) {
		this.srcOrgnNum = srcOrgnNum;
	}

	public String getSrcOrgnName() {
		return this.srcOrgnName;
	}

	public void setSrcOrgnName(String srcOrgnName) {
		this.srcOrgnName = srcOrgnName;
	}

	public String getSrcWarehouseNum() {
		return this.srcWarehouseNum;
	}

	public void setSrcWarehouseNum(String srcWarehouseNum) {
		this.srcWarehouseNum = srcWarehouseNum;
	}

	public String getSrcWarehouseName() {
		return this.srcWarehouseName;
	}

	public void setSrcWarehouseName(String srcWarehouseName) {
		this.srcWarehouseName = srcWarehouseName;
	}

	public String getSrcMtlOwnerNum() {
		return this.srcMtlOwnerNum;
	}

	public void setSrcMtlOwnerNum(String srcMtlOwnerNum) {
		this.srcMtlOwnerNum = srcMtlOwnerNum;
	}

	public String getSrcMtlOwnerName() {
		return this.srcMtlOwnerName;
	}

	public void setSrcMtlOwnerName(String srcMtlOwnerName) {
		this.srcMtlOwnerName = srcMtlOwnerName;
	}

}
